Redmine - Patch #13697

Back-button on diff page is not working when I'm directed from email

2013-04-05 19:16 - Filou Centrinov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 2.4.0

Description

Situation:

| get an email from Redmine with a diff-link to the changed description of an issue. | click on that link in my email to get informed

about changed details.

Problem:

When | click now on the back-link on the diff page, nothing happends.

Reason:

The back-link tries to get the page I've been before (history.back()), but there not such a page.

| fixed this problem with a patch.

Associated revisions

Revision 11893 - 2013-05-21 09:11 - Toshi MARUYAMA

fix back-button on description diff page in case of no browser history (#13697)

Contributed by Filou Centrinov.

Revision 11900 - 2013-05-24 09:21 - Toshi MARUYAMA

use document.referrer instead of history.length (#13697)

Contributed by Filou Centrinov.

History

#1 - 2013-05-19 05:22 - Filou Centrinov

- Description updated

Woudn't you agree to apply this patch? Otherwise | can't go from a diff page to its issue page.

#2 - 2013-05-21 09:12 - Toshi MARUYAMA
- Status changed from New to Closed

- Target version set to 2.4.0

Committed in trunk r11893, thanks.

#3 - 2013-05-23 21:51 - Filou Centrinov

- Status changed from Closed to Reopened

The problem is, that browsers handle history.length differently: http://www.w3schools.com/jsref/prop_his_length.asp

| would suggest the following code, tested on Firefox, IE and Opera:

history.back(); return (document.referrer=="");

or

if (document.referrer!="") {history.back(); return false;}
https://www.redmine.org/projects/redmine/repository/svn/revisions/11893
http://www.w3schools.com/jsref/prop_his_length.asp

| tested it like this: history.back(); alert((document.referrer=="")); return (document.referrer=="");

#4 - 2013-05-24 09:31 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Committed in trunk r11900, thanks.
